hosting

PATCH /v1/uptime/monitors/{monitor_id}

Pause, resume or rename a monitored address.

Tous les points de terminaison hosting

Authentification

Envoyez une clé d'API en tant que jeton du porteur (bearer token). Cet endpoint n'indique pas de permission spécifique dans la spécification, attribuez donc à votre clé le minimum requis et vérifiez la réponse plutôt que de faire des suppositions.

Cet endpoint ne prend aucun identifiant d'organisation. Votre clé identifie déjà l'organisation à laquelle elle appartient, et la réponse y est limitée.

Essayer

Remplacez tout ce qui se trouve entre crochets par vos propres valeurs, et le espace réservé à la clé par une clé de votre tableau de bord.

curl -X PATCH https://api.zinndigital.com/v1/uptime/monitors/{monitor_id} \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{  }'

Connecté ? La console d'API de votre tableau de bord saisit votre véritable ID d'organisation ainsi que votre propre clé, et exécute la requête sur l'API de production afin que vous puissiez voir la réponse réelle. Ouvrir ce point de terminaison dans la console API

Détails

Gated on `uptime.manage`. ⛔ The **URL cannot be changed**: a monitor's Core Web Vitals readings are joined back to it by that canonical string, so a mutable URL would silently re-point a monitor at another address's history. Change an address by deleting the monitor and adding another. Pausing closes any open incident, so a paused monitor cannot accrue an outage out of us not looking.

Paramètres

NomTypeObligatoireQu'est-ce que c'est
monitor_id (path)stringOui

Corps de la requête

NomTypeObligatoireQu'est-ce que c'est
enabledbooleanNonPause or resume. Pausing closes any open incident.
namestringNon

Réponse

NomTypeObligatoireQu'est-ce que c'est
idstringOui
urlstringOui
namestringNon
statestring<unknown, up, down, paused>Oui⛔ `unknown` is a real state and is not a synonym for `up` — it means "not checked yet" and is excluded from every uptime percentage.
enabledbooleanOui
expect_textstringNon
site_idstringNonSet only when the address happens to be one of this organisation's own sites. Navigation only — the monitor works identically without it, and must, because the product exists to…
last_result_atstringNon
last_up_atstringNon
last_down_atstringNon
created_atstringOui
summaryUptimeSummaryNon
historyUptimeHistoryPoint[]Non
incidentsUptimeIncident[]Non
vitalsUptimeVitalsPoint[]Non
migration_offerUptimeMigrationOfferNon

Erreurs que cet point de terminaison peut renvoyer

401 · 403 · 404